Bug 3310 - NETMAP request feature
: NETMAP request feature
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iptables)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5892
:
  Show dependency tree
 
Reported: 2003-11-24 06:33 by
Modified: 2007-06-27 10:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-11-24 06:33:32
Предлагаю в очередную сборку iptables включить один очень, на мой взгляд, 
полезный патч - NETMAP (http://www.netfilter.org/documentation/pomlist/pom-
base.html#NETMAP), позволяющий "отзеркаливать" немаршрутизизуемые IP на 
реальные один к одному без Port Address Translatoin.
В данный момент очень нуждаюсь в такой функциональности, а попытка 
самостоятельной сборки из SRPM к успехе не привела :(
Надо сказать, что в ASP Linux 9 iptables уже скомпилирован с этим модулем...
(http://www.rpmfind.net/linux/rpm2html/search.php?query=libipt_NETMAP.so)
------- Comment #1 From 2003-12-11 09:33:45 -------
За 3 недели ни ответа, ни привета :(
На feature request не принято отвечать ?
------- Comment #2 From 2003-12-11 09:52:41 -------
У меня нет времени на осмысленные действия, а заниматься пустобрёхством не
люблю.
------- Comment #3 From 2004-03-22 17:49:17 -------
$ rpm -ql iptables | grep NETMAP
/lib/iptables/libipt_NETMAP.so

$ rpm -q iptables
iptables-1.2.9-alt3

Это решает проблему?
------- Comment #4 From 2005-01-11 15:01:28 -------
*** Bug 5737 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2005-01-15 21:48:05 -------
Почему этот request feature был помечен как CLOSED/FIXED ? Запрос не
удовлетворён до сих пор - поддержка патча NETMAP в ядре отсутствует, установка
самых последних версий iptables ничего не даёт именно по этой причине. Наложить
необходимый патч самостоятельно не представляется возможным ввиду того, что
работа patch-o-matic (автоматизированная система наложения патчей iptables)
возможна только с исходым кодом ядра и встроить NETMAP в систему патчей,
используемых в сборке ядра из SRPM, невозможно в принципе. В процессе решения
вопроса о целесообразности включения NETMAP-функциональности в ядро ALT Linux
прошу учесть высокую востребованность предоставляемой ею возможности "проброса"
реального адреса в сеть с "серыми" адресами, а также тот факт, что во многих
других дистрибутивах, например ASP Linux, NETMAP и многие другие таргеты из
patch-o-matic включены уже более двух лет.
Спасибо.
------- Comment #6 From 2005-01-16 14:37:08 -------
1. Потому что на https://bugzilla.altlinux.org/show_bug.cgi?id=3310#c3
не было ответа в течение 9ти месяцев.

2. FR на ядро надо вешать на ядро. В пакете iptables поддержка NETMAP есть.

3. Прикладывание patch-o-matic в большинстве случаев сделает пакет iptables
бинарно несовместимым с некоторыи ядрами. Т.е. придётся либо заводить iptables
для каждого ядра, что неудобно, либо принудительно прикладывать patch-o-matic
ко
всем ядрам без исключения, что тоже неправильно.
------- Comment #7 From 2005-01-18 11:35:45 -------
Перенесено в баг N 5892
------- Comment #8 From 2005-01-18 11:38:30 -------
(In reply to comment #6)
> 1. Потому что на https://bugzilla.altlinux.org/show_bug.cgi?id=3310#c3
> не было ответа в течение 9ти месяцев.
> 
> 2. FR на ядро надо вешать на ядро. В пакете iptables поддержка NETMAP есть.
> 
> 3. Прикладывание patch-o-matic в большинстве случаев сделает пакет iptables
> бинарно несовместимым с некоторыи ядрами. Т.е. придётся либо заводить iptables
> для каждого ядра, что неудобно, либо принудительно прикладывать patch-o-matic ко
> всем ядрам без исключения, что тоже неправильно.


Спасибо за разъяснения - перенёс FR.